gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.ToolItem A button for a toolbar.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected constructor.
- Constructor
  2.12.0.0
  a , pointer to underlying C object.
  Constructor for internal use only.
- Constructor
  2.12.0.0
  a , the name of the stock item
  Public constructor that uses a stock item.
- Constructor
  2.12.0.0
  a , a widget that will be used as icon widget, or
  a , a label for this button, or
  Public constructor
- Event
  2.12.0.0
  GLib.Signal("clicked")
  System.EventHandler This signal is emitted when the tool button is clicked with the mouse or activated with the keyboard.
- Property
  2.12.0.0
  GLib.GType The of this object. a
- Property
  2.12.0.0
  GLib.Property("icon-name")
  System.String Accesses the icon as a name in an Icon theme. a name in an Icon theme.
- Property
  2.12.0.0
  GLib.Property("icon-widget")
  Gtk.Widget The icon for this button, in widget form. a
- Property
  2.12.0.0
  GLib.Property("label")
  System.String The label for this button. a
- Property
  2.12.0.0
  GLib.Property("label-widget")
  Gtk.Widget The label for this button in widget form. a
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClicked", Type=typeof(Gtk.ToolButton))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  GLib.Property("stock-id")
  System.String If this is a stock item, the ID for the stock item. a
- Property
  2.12.0.0
  GLib.Property("use-underline")
  System.Boolean Whether the button label has the form "_Open". a

  If set, an underline in the label property indicates that the next character should be used for the mnemonic accelerator key in the overflow menu. For example, if the label property is "_Open" and this property is set, the label on the tool button will be "Open" and the item on the overflow menu will have an underlined 'O'.

  Labels shown on tool buttons never have mnemonics on them; this property only affects the menu item on the overflow menu.